﻿configuration ServerConfigTest
{
param ([string]$Computername)
    # Zum Abrufen der Knotenliste können Ausdrücke ausgewertet werden.
    # Beispiel: $AllNodes.Where("Role -eq Web").NodeName
    node ($Computername)
    {
        # Ressourcenanbieter aufrufen
        # Beispiel: WindowsFeature, File
        WindowsFeature WebserverIIS
        {
           Ensure = "Present" # Alternativ "Absent" zum Sicherstellen, dass nicht installiert
           Name = "Web-Server" # Name aus Get-WindowsFeature
        }

        WindowsFeature TelnetClient
        {
           Ensure = "Present" # Alternativ "Absent" zum Sicherstellen, dass nicht installiert
           Name = "Telnet-Client" # Name aus Get-WindowsFeature
        }

        Group TestGroup
        {
           Ensure = "Present" # Alternativ "Absent" zum Sicherstellen, dass nicht vorhanden
           GroupName = "IT-Support" # Name der (Sicherheits-)Gruppe
        }
     
    }
}